# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import logical
from Products.funittest import physical
from Products.funittest import register_lfm

class Configlet:
    def access_config(self):
        self.interpreter.annotate("Access GrufSpaces Configlet")
        self.interpreter.open('/prefs_grufspaces_form'),

    def configure(self, config):
        self.interpreter.annotate("Configure GrufSpaces")
        self.access_config()
        if config['areas']:
            physical.grufspaces.configlet.switchAreasOn()
        else:
            physical.grufspaces.configlet.switchAreasOff()
        if config['user_search']:
            self.interpreter.click('user_search_in_grufspaces_on')
        else:
            self.interpreter.click('user_search_in_grufspaces_off')
        if config['group_search']:
            self.interpreter.click('group_search_in_grufspaces_on')
        else:
            self.interpreter.click('group_search_in_grufspaces_off')

        physical.grufspaces.configlet.save()

    def switchAreasOff(self):
        self.interpreter.annotate("Switch Areas Off")
        physical.grufspaces.configlet.switchAreasOff()
        
register_lfm("GrufSpaces", Configlet())
