# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import logical
from Products.funittest import physical
from Products.funittest import register_lfm

class Email:

    def send_email_to_all(self, groupspace, email):
        self.interpreter.annotate("Send email to all in GroupSpace %s" %groupspace['title'])
        self.interpreter.clickAndWait("send_groupspace_mail_to_all")
        physical.grufspaces.email.fillEmailForm(email)
        physical.grufspaces.email.send() 
        
    def send_email_to_role(self, groupspace, email, groupspacerole):
        self.interpreter.annotate("Send email to a role in the GroupSpace %s" % groupspace['title'])
        self.interpreter.clickAndWait("send_groupspace_mail_to_role_%s" % groupspacerole['id'])
        physical.grufspaces.email.fillEmailForm(email)
        physical.grufspaces.email.send() 
        
    def send_email_to_member(self, groupspace, email, groupspacemember):
        self.interpreter.annotate("Send email to a member in the GroupSpace %s" %groupspace['title'])
        self.interpreter.clickAndWait("send_groupspace_mail_to_user_%s" % groupspacemember['id'])
        physical.grufspaces.email.fillEmailForm(email)
        physical.grufspaces.email.send() 

    def send_email_to_group(self, groupspace, email, groupspacegroup):
        self.interpreter.annotate("Send email to a group in the GroupSpace %s" % groupspace['title'])
        self.interpreter.clickAndWait("send_groupspace_mail_to_group_%s" % groupspacegroup['id'])
        physical.grufspaces.email.fillEmailForm(email)
        physical.grufspaces.email.send() 

register_lfm("GrufSpaces", Email())
